Package org.springframework.cglib.transform.impl

# Class AddPropertyTransformer

java.lang.Object
org.springframework.asm.ClassVisitor
org.springframework.cglib.core.ClassTransformer
org.springframework.cglib.core.ClassEmitter
org.springframework.cglib.transform.ClassEmitterTransformer
org.springframework.cglib.transform.impl.AddPropertyTransformer

public class AddPropertyTransformer extends ClassEmitterTransformer

## Field Summary

### Fields inherited from class org.springframework.asm.ClassVisitor

`api, cv`

## Constructor Summary

Constructors
Constructor
Description
`AddPropertyTransformer(String[] names, Type[] types)`
`AddPropertyTransformer(Map props)`

## Method Summary

Modifier and Type
Method
Description
`void`
`end_class()`

### Methods inherited from class org.springframework.cglib.core.ClassEmitter

`begin_class, begin_method, begin_static, declare_field, getAccess, getClassInfo, getClassType, getStaticHook, getSuperType, init, setTarget, visit, visitEnd, visitField, visitMethod`

### Methods inherited from class org.springframework.asm.ClassVisitor

`getDelegate, visitAnnotation, visitAttribute, visitInnerClass, visitModule, visitNestHost, visitNestMember, visitOuterClass, visitPermittedSubclass, visitRecordComponent, visitSource, visitTypeAnnotation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AddPropertyTransformer

public AddPropertyTransformer(Map props)

### AddPropertyTransformer

public AddPropertyTransformer(String[] names, Type[] types)

## Method Details

### end_class

public void end_class()

Overrides:
  `end_class` in class `ClassEmitter`